cern.colt.function

## Interface ObjectFunction

-     public interface ObjectFunction

  Interface that represents a function object: a function that takes a single argument and returns a single value.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `apply(java.lang.Object argument)` Applies a function to an argument.

- - ### Method Detail

    - #### apply

          java.lang.Object apply(java.lang.Object argument)

      Applies a function to an argument.
      Parameters:
        `argument` - argument passed to the function.
      Returns:
        the result of the function.

Jump to the Colt Homepage